.modal1 {
    max-height:80%;
    display: flex;
    position: absolute;
    padding: 40px;
    left: 50%;
    bottom: -150vh;
    transform: translate(-50%, 50%) translateY(50%);
    transition: transform 1s ease-in-out, bottom 1s ease-in-out;
    z-index: 100;
    min-width: 200px;
    border-radius: 0.5em;
    overflow-y: auto;
    max-width: 40vw;
    box-shadow: var(--buttonBorderColor) 0px 3px 6px, var(--buttonBorderColor) 0px 3px 6px;
    background: var(--backgroundColor) padding-box;
    /*font-family: Arial;*/
    font-size: 1.6vw;
    flex-direction: column;
}

.settings-modal{
    width: 50vw;
    /*font-size: 2vh;*/
    min-width: fit-content;

}

.modal-on {
    transform: translate(-50%, -200vh) translateY(50%);
}

.modal-button{
    background: var(--containerColor) padding-box,
    linear-gradient(var(--angle1), var(--fontColor) 0%, var(--accentColor) 100%) border-box;
    border-radius: 1em;
    border: 2px solid transparent;
    color: var(--accentColor2);
    font-size: var(--fontSize);
    flex: 1;
    height: 40px;
    margin: 10px auto auto auto;
    padding: 5px;
    width: 100%;
    box-shadow: 0px 0px 16px -3px var(--buttonBorderColor);
}

.modal-button:hover{
    cursor: pointer;
    transform: scale(1.1);
}

@media (max-aspect-ratio: 1/1) or  (max-width: 1000px){
    .modal1 {
    display: flex;
    position: absolute;
    padding: 40px;
    left: 50%;
    bottom: -150vh;
    transform: translate(-50%, 50%);
    transition: transform 1s ease-in-out, bottom 1s ease-in-out;
    z-index: 100;
    min-width: 200px;
    border-radius: 0.5em;
    max-width: 40vw;
    box-shadow: var(--buttonBorderColor) 0px 3px 6px, var(--buttonBorderColor) 0px 3px 6px;
    background: var(--backgroundColor) padding-box;
    font-family: Latinka_bold;
    font-size: 18px;
    flex-direction: column;
}

.modal-on {
    transform: translate(-50%, -200vh) translateY(50%);
}
}

.overlay{
    position: fixed;
    top: 0;
    left: 0;
    right:0;
    bottom: 0;
    display: none;
    z-index: 0;
    background: rgba(0,0,0,0.4);
}

.focus-overlay{
    display: block;
    z-index: 19
}

.custom-alert{
    color:red;
    font-weight: bold;
}